Bug 1529432 - performance/write-behind should respect window-size & trickling-writes should be configurable
Summary: performance/write-behind should respect window-size & trickling-writes should...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Chandrakanth Pai
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On:
Blocks: 1503140
TreeView+ depends on / blocked
 
Reported: 2017-12-28 04:59 UTC by Atin Mukherjee
Modified: 2018-09-10 15:29 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
performance.write-behind-trickling-writes and performance.nfs.write-behind-trickling-writes were introduced to allow enabling the trickling-write strategy for the write-behind translator for, respectively, FUSE and NFS clients.
Clone Of: 1426042
Environment:
Last Closed: 2018-09-10 15:29:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Chandrakanth Pai 2018-03-05 10:56:01 UTC
Hi Csaba,

Could you please provide the doc content required to address this BZ?

-Chandrakanth

Comment 4 Chandrakanth Pai 2018-05-15 09:38:31 UTC
Hi Csaba,

As per the doc text, these two new options need to be in the Release Notes.
However, I feel they also have to be added to the Volume Options table (Section 11.3) in the Admin Guide. Please let me know your thoughts.
If they have to be added, could you please let me know the Allowed values and default values for these options?

Comment 5 Csaba Henk 2018-05-22 05:58:18 UTC
Hi Chandrakanth,

thanks for taking care of proper documentation. Yes, these should be in the Volume Options table. These are Boolean valued options are are on by default.

Comment 9 Vinayak Papnoi 2018-08-06 07:05:42 UTC
(In reply to Chandrakanth Pai from comment #8)
> Please check section 11.3 here:
> 
> https://access.qa.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/
> html-single/administration_guide/

Minor change:
It is mentioned in the description "Enables trickling-writes.." whereas in option 'performance.write-behind' it is mentioned "Enables and disables write-behind translator".
Would be better if there is uniformity such as "Enables/disables trickling-writes strategy..." for the performance.write-behind-trickling-writes volume options on both FUSE and NFS.

Comment 11 Vinayak Papnoi 2018-08-13 10:24:41 UTC
Doc text looks good.

Moving bug to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.